[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.ReportAsString

Return the tree report as a string

## Declaration

Source position: avl_tree.pp line 167

`public function TAVLTree.ReportAsString: string;`

## Function result

The tree report as a string

## Description

ReportAsString calls WriteReportToStream and returns the stream data as a string.

## See also

TAVLTree.WriteReportToStream |  | Write the contents of the tree consistency check to the stream